List content partners API
The content partners API call retrieves a list of the organisations that have contributed content to DigitalNZ.
URL format
http://api.digitalnz.org/content_partners/[version].[response_format]/?[request-parameters]
Request parameters
The following must be specified as request parameters:
- api_key - the developer API key. In the example URLs replace your_api_key with your personal API key
Response format
Appending an extension to a resource tells the API to use the requested format. Valid extensions are xml, json.
You can also specify the format in the Accept header of the HTTP request, e.g. Accept: application/json in a request to http://api.digitalnz.org/records/v1/ tells the API to use JSON format. Valid Accept headers include application/json, application/js, application/xml.
e.g. http://api.digitalnz.org/content_partners/v1.xml/?
api_key=your_api_key
e.g. http://api.digitalnz.org/content_partners/v1.json/?
api_key=your_api_key
Response elements
The search results will return the following elements:
- content_partner - the name of the partner is specified in the name attributute
